/solana/mint-status/{signature}
Get mint flow status by Solana transaction signature
Get mint flow status by Solana transaction signature
Path Parameters
Solana transaction signature
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/solana/mint-status/5KtPn3n8nJHvxPcJJQvBHvPmZxAUJ5WGhBvQGeDKJGxYjgDWKsQH3BmL8FqJEVMx8HvPmZxAUJ5WGhBvQGeDKJGxYjg"{ "data": { "solanaSignature": "string", "solanaWallet": "string", "amount": "string", "progress": "string", "overallStatus": "string", "overallStatusCode": 0, "createdAt": 0, "createdAtFormatted": "string", "updatedAt": 0, "updatedAtFormatted": "string", "steps": { "solana": { "status": "string", "statusCode": 0, "blockTimestamp": 0, "blockTimestampFormatted": "string", "blockSlot": "string", "indexedAt": 0, "indexedAtFormatted": "string", "composerAddress": "string" }, "cctpAttestation": { "status": "string", "statusCode": 0, "nonce": "string", "attestedAt": 0, "attestedAtFormatted": "string", "irisStatus": "string", "sourceDomain": 0, "destinationDomain": 0 }, "predicate": { "status": "string", "statusCode": 0, "taskId": "string", "isCompliant": true, "checkedAt": 0, "checkedAtFormatted": "string", "error": "string" }, "relay": { "status": "string", "statusCode": 0, "txHash": "string", "blockNumber": "string", "blockTimestamp": 0, "blockTimestampFormatted": "string", "gasUsed": "string", "error": "string" }, "composer": { "status": "string", "statusCode": 0, "assetAmount": "string", "shareAmount": "string" }, "oft": { "status": "string", "statusCode": 0, "lzGuid": "string", "dstEid": 0, "amountSent": "string", "amountReceived": "string" }, "solanaMint": { "status": "string", "statusCode": 0, "signature": "string", "blockTimestamp": 0, "blockTimestampFormatted": "string", "blockSlot": "string", "programId": "string", "oftstoreAddress": "string" }, "reclaim": { "status": "string", "statusCode": 0, "txHash": "string", "blockTimestamp": 0, "blockTimestampFormatted": "string" } }, "error": { "code": "string", "message": "string" }, "links": { "solanaExplorer": "string", "plumeExplorer": "string", "layerZeroScan": "string", "solanaMintTransaction": "string" } }}/solana/{address}/vaults/{slug}/transaction-history GET
Get Solana user transaction history for a specific vault. Returns deposits (mints) and withdrawals (redeems) for the given wallet and vault.
/solana/nest/async-redeem/build-tx POST
Returns a base64 transaction to submit an async Nest vault redemption request. The API first checks the current Plume USDC redemption quote and fee configuration. The transaction includes idempotent creation of the caller's USDC ATA before the OFT send. Under the hood, this builds a LayerZero OFT send transaction that transfers Nest shares to the vault's NestVaultComposer contract on Plume with a REQUEST_REDEEM compose command. The transaction must be signed and sent by the caller's wallet.